#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Round
Summary:	Math::Round - Perl extension for rounding numbers
Summary(pl.UTF-8):	Math::Round - perlowe rozszerzenie do zaokrąglania liczb
Name:		perl-Math-Round
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b74c5d2a3f891c19dafd7ce638732fd1
URL:		http://search.cpan.org/dist/Math-Round/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Round supplies functions that will round numbers in different
ways. The functions round and nearest are exported by default; others
are available as described in the manual. "use ... qw(:all)" exports
all functions.

%description -l pl.UTF-8
Math::Round udostępnia funkcje zaokrąglające liczby w różny sposób.
Funkcje round i nearest są eksportowane domyślnie; inne są dostępne w
sposób opisany w manualu. "use ... qw(:all)" eksportuje wszystkie
funkcje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/Round.pm
%dir %{perl_vendorlib}/auto/Math/Round
%{perl_vendorlib}/auto/Math/Round/autosplit.ix
%{_mandir}/man3/Math::Round.3pm*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Math-Round.git;a=log;h=master

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 9175989
- updated to 0.07

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 5a44b68
- more verbose files

* Fri Oct 23 2009 amateja <amateja@pld-linux.org> 2fd82fd
- release 1

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> f2f6513
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 9cf14e0
- up to 0.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 981aa19
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0a63ff1
- converted to UTF-8

* Thu Nov 03 2005 Jakub Bogusz <qboosh@pld-linux.org> b127cdf
- desc fix, pl, missing dir

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> c1fe28e
- new

